## $Id: utils.py 10467 2013-08-07 11:32:20Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Customize general helper utilities for Kofa.
"""
from kofacustom.nigeria.utils.utils import NigeriaKofaUtils

class CustomKofaUtils(NigeriaKofaUtils):
    """A collection of methods subject to customization.
    """

    PREFERRED_LANGUAGES_DICT = {
        }

    PAYMENT_CATEGORIES = {
        'schoolfee': 'School Fee',
        'schoolfee_1': 'School Fee 1st instalment',
        'schoolfee_2': 'School Fee 2nd instalment',
        'clearance': 'Acceptance Fee',
        'hostel_maintenance': 'Hostel Maintenance Fee',
        'application': 'Application Fee',
        'gown': 'Gown Hire Fee',
        'bed_allocation': 'Bed Allocation Fee',
        'transfer': 'Transfer Fee',
        'transcript': 'Transcript Fee',
        }

    SELECTABLE_PAYMENT_CATEGORIES = {
        'schoolfee': 'School Fee',
        #'schoolfee_1': 'School Fee 1st instalment',
        #'schoolfee_2': 'School Fee 2nd instalment',
        'clearance': 'Acceptance Fee',
        'hostel_maintenance': 'Hostel Maintenance Fee',
        'application': 'Application Fee',
        'gown': 'Gown Hire Fee',
        'bed_allocation': 'Bed Allocation Fee',
        'transfer': 'Transfer Fee',
        }

    APP_CATS_DICT = {
        'basic': 'PUTME, PUDE, PCE, PRENCE',
        'no': 'No Application',
        'pg_ft': 'Postgraduate Full-Time',
        'pg_pt': 'Postgraduate Part-Time',
        'cest': 'Part-Time, Diploma, Certificate',
        'found': 'Foundation',
        }

